"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateJobParameters = void 0;
const index_1 = require("../../parameters/index");
const index_2 = require("../../exception/index");
class CreateJobParameters extends index_1.BaseParameters {
    setName(jobName) {
        if (jobName.length >= 170) {
            throw new index_2.SmartlingException("Job name should be less than 170 characters.");
        }
        this.set("jobName", jobName);
        return this;
    }
    setDescription(description) {
        if (description.length >= 2000) {
            throw new index_2.SmartlingException("Job description should be less than 2000 characters.");
        }
        this.set("description", description);
        return this;
    }
    setDueDate(dueDate) {
        if (dueDate.getTime() < (new Date()).getTime()) {
            throw new index_2.SmartlingException("Job Due Date cannot be in the past.");
        }
        this.set("dueDate", dueDate.toISOString());
        return this;
    }
}
exports.CreateJobParameters = CreateJobParameters;
//# sourceMappingURL=create-job-parameters.js.map